ChangeSet 1.1006.11.7, 2003/03/14 10:48:09-08:00, johannes@erdfelt.com

[PATCH] USB: uhci.c 2.4 finish completions in the correct order

Here's a patch to finish completions in the order they occur. This
brings uhci.c in line with the other HCDs and what people generally
would expect.


 drivers/usb/host/uhci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/host/uhci.c b/drivers/usb/host/uhci.c
--- a/drivers/usb/host/uhci.c	Thu Mar 27 16:02:27 2003
+++ b/drivers/usb/host/uhci.c	Thu Mar 27 16:02:27 2003
@@ -155,7 +155,7 @@
 	unsigned long flags;
 
 	spin_lock_irqsave(&uhci->complete_list_lock, flags);
-	list_add(&urbp->complete_list, &uhci->complete_list);
+	list_add_tail(&urbp->complete_list, &uhci->complete_list);
 	spin_unlock_irqrestore(&uhci->complete_list_lock, flags);
 }
 
